{
  "name": "application-landscape-viewer",
  "version": "0.1.0",
  "description": "",
  "type": "module",
  "main": "dist/cjs/index.js",
  "universal": "dist/umd/index.js",
  "module": "dist/esm/index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "build": "rollup --config rollup.config.js --bundleConfigAsCjs",
    "demo": "vite --host 0.0.0.0",
    "demo-build": "vite build",
    "lint": "eslint . --ext js,jsx --report-unused-disable-directives --max-warnings 0",
    "demo-preview": "vite preview",
    "dev": "storybook dev -p 6006",
    "deb-build": "storybook build"
  },
  "author": "NTX",
  "contributors": [
    "Raphaël JOIE <raphael.joie@ext.ec.europa.eu>",
    "Charles WILMART <charles.wilmart@ext.ec.europa.eu>"
  ],
  "repository": {
    "type": "git",
    "url": "git@code.europa.eu:digit-c4/dev/application-landscape-viewer.git"
  },
  "license": "UNLICENSED",
  "dependencies": {
    "d3": "^7.8.5"
  },
  "peerDependencies": {
    "react": "^18.2.0",
    "react-dom": "^18.2.0"
  },
  "devDependencies": {
    "@babel/preset-react": "^7.23.3",
    "@rollup/plugin-babel": "^6.0.4",
    "@rollup/plugin-commonjs": "^25.0.7",
    "@rollup/plugin-node-resolve": "^15.2.3",
    "@rollup/plugin-replace": "^5.0.5",
    "@rollup/plugin-terser": "^0.4.4",
    "@storybook/addon-essentials": "^7.6.13",
    "@storybook/addon-interactions": "^7.6.13",
    "@storybook/addon-links": "^7.6.13",
    "@storybook/addon-onboarding": "^1.0.11",
    "@storybook/blocks": "^7.6.13",
    "@storybook/react": "^7.6.13",
    "@storybook/react-vite": "^7.6.13",
    "@storybook/test": "^7.6.13",
    "@types/react": "^18.2.55",
    "@types/react-dom": "^18.2.19",
    "@vitejs/plugin-react-swc": "^3.5.0",
    "eslint": "^8.56.0",
    "eslint-plugin-react": "^7.33.2",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.4.5",
    "eslint-plugin-storybook": "^0.6.15",
    "prop-types": "^15.8.1",
    "rollup": "^4.9.6",
    "rollup-plugin-import-css": "^3.4.0",
    "rollup-plugin-peer-deps-external": "^2.2.4",
    "storybook": "^7.6.13",
    "vite": "^5.1.0"
  }
}
